"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.postList = exports.getByListWithImage = exports.getByList = exports.ListLimit = void 0;

var _module2 = _interopRequireDefault(require("../module"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const ListLimit = 156;
exports.ListLimit = ListLimit;

const getByList = async () => {
  return _module2.default.getByList();
};

exports.getByList = getByList;

const getByListWithImage = async ({
  page = 1,
  sort = 'last_update',
  sort_type = 'DESC'
}) => {
  if (page > ListLimit) {
    throw 'limit';
  } else {
    return _module2.default.getList("https://loveheaven.net/manga-list.html?listType=pagination&page=".concat(page, "&sort=").concat(sort, "&sort_type=").concat(sort_type));
  }
};

exports.getByListWithImage = getByListWithImage;

//https://loveheaven.net/manga-list.html?listType=pagination&page=1&artist=&author=&group=&m_status=&name=&genre=&ungenre=&sort=views&sort_type=DESC
const postList = async ({
  page = 1,
  artist = '',
  author = '',
  group = '',
  m_status = '',
  search = '',
  genre = '',
  ungenre = '',
  sort = 'views',
  sort_type = 'DESC'
}) => {
  try {
    const url = "https://loveheaven.net/manga-list.html?listType=pagination&page=".concat(page, "&artist=").concat(artist, "&author=").concat(author, "&group=").concat(group, "&m_status=").concat(m_status, "&name=").concat(search, "&genre=").concat(genre, "&ungenre=").concat(ungenre, "&sort=").concat(sort, "&sort_type=").concat(sort_type);
    const {
      page: p,
      list
    } = await _module2.default.postList(url);
    return {
      page: Number(p.match(/\d+/g)[1]),
      list
    };
  } catch (e) {
    throw new Error(e);
  }
};

exports.postList = postList;
//# sourceMappingURL=index.js.map