import module from '../module';
export const ListLimit = 156;
export const getByList = async () => {
  return module.getByList();
};
export const getByListWithImage = async ({
  page = 1,
  sort = 'last_update',
  sort_type = 'DESC'
}) => {
  if (page > ListLimit) {
    throw 'limit';
  } else {
    return module.getList("https://loveheaven.net/manga-list.html?listType=pagination&page=".concat(page, "&sort=").concat(sort, "&sort_type=").concat(sort_type));
  }
};
//https://loveheaven.net/manga-list.html?listType=pagination&page=1&artist=&author=&group=&m_status=&name=&genre=&ungenre=&sort=views&sort_type=DESC
export const postList = async ({
  page = 1,
  artist = '',
  author = '',
  group = '',
  m_status = '',
  search = '',
  genre = '',
  ungenre = '',
  sort = 'views',
  sort_type = 'DESC'
}) => {
  try {
    const url = "https://loveheaven.net/manga-list.html?listType=pagination&page=".concat(page, "&artist=").concat(artist, "&author=").concat(author, "&group=").concat(group, "&m_status=").concat(m_status, "&name=").concat(search, "&genre=").concat(genre, "&ungenre=").concat(ungenre, "&sort=").concat(sort, "&sort_type=").concat(sort_type);
    const {
      page: p,
      list
    } = await module.postList(url);
    return {
      page: Number(p.match(/\d+/g)[1]),
      list
    };
  } catch (e) {
    throw new Error(e);
  }
};
//# sourceMappingURL=index.js.map