export declare const ListLimit = 156;
export interface getByList {
    id: string;
    title: string;
}
export interface getByListWithImage {
    page?: number;
    sort?: 'name' | 'views' | 'last_update';
    sort_type?: 'ASC' | 'DESC';
}
export interface getByListWithImageResult {
    id?: string;
    image?: string;
    title?: string;
    view?: number;
    chapter_id?: string;
    chapter_title?: string;
    genre?: Array<{
        id: string;
        title: string;
    }>;
}
export declare const getByList: () => Promise<getByList[]>;
export declare const getByListWithImage: ({ page, sort, sort_type, }: getByListWithImage) => Promise<getByListWithImageResult[]>;
interface configList {
    page?: number;
    artist?: string;
    author?: string;
    group?: string;
    m_status?: '' | 1 | 2 | 3;
    search?: string;
    genre?: string;
    ungenre?: string;
    sort?: 'views' | 'name' | 'last_update';
    sort_type?: 'DESC' | 'ASC';
}
export interface postList {
    page: any;
    list: getByListWithImageResult[];
}
export declare const postList: ({ page, artist, author, group, m_status, search, genre, ungenre, sort, sort_type, }: configList) => Promise<postList>;
export {};
